package com.bc_chat.bc_base.task

import com.bc_chat.bc_base.http.Encryption
import com.bc_chat.bc_base.http.RetrofitHelper
import com.google.gson.JsonObject
import com.zhaohaoting.framework.abs.entity.ResultEntity
import com.zhaohaoting.framework.abs.task.RxDataAsyncTask
import io.reactivex.Flowable

/**
 * author：Created by zhaohaoting on 2019/2/27
 * email：526309416@qq.com
 * desc：群信息
 */
class UserNoticeInfoTask constructor(var cuid: String, var type: String) : RxDataAsyncTask<JsonObject, ResultEntity<JsonObject>>() {
    override fun loadDataAsyncTask(): Flowable<ResultEntity<JsonObject>> {
        val params: MutableMap<String, Any?> = mutableMapOf("cuid" to cuid, "type" to type)
        return RetrofitHelper.api.userNotice(Encryption.encryption(params))
    }
}
